Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.admin
Interface JspPages

All Known Subinterfaces:
  JspToolPages

All Known Implementing Classes:
  PortalJspBase

public interface JspPages

Prescribes constants used for navigational purposes within the run-time Portal Framework

Field Summary
`static java.lang.String` | `JSP_ALTERNATE_FOOTER` The location of the "Alternate Footer" JSP page.
`static java.lang.String` | `JSP_ALTERNATE_HEADER` The location of the "Alternate Header" JSP page.
`static java.lang.String` | `JSP_BASE_DIRECTORY` The location of the base JSP directory.
`static java.lang.String` | `JSP_BASE_HEADER` The location of the base header JSP page.
`static java.lang.String` | `JSP_COLOR_PREFS` The location of the "Color Preferences" JSP page used in a portal user context.
`static java.lang.String` | `JSP_FOOTER` The location of the commonly-used portal footer.
`static java.lang.String` | `JSP_FULL_SCREEN_PORTLET` The location of the commonly-used full-screen portlet representation.
`static java.lang.String` | `JSP_GEN_PREFS` The location of the general preferences user tool.
`static java.lang.String` | `JSP_HEADER` The location of the commonly-used portal header.
`static java.lang.String` | `JSP_PORTAL` The location of the commonly-used portal home page.
`static java.lang.String` | `JSP_PORTAL_CONTENT` The location of the commonly-used portlet display area.
`static java.lang.String` | `JSP_PORTAL_FRAMEWORK_DIRECTORY` The location of the base portal run-time directory.
`static java.lang.String` | `JSP_PORTLET` The location of the commonly-used portlet JSP page (prescribes portlet titlebar, banner, header, content area, and footer).
`static java.lang.String` | `JSP_TITLE_BAR` The location of the commonly-used titlebar JSP page.
`static java.lang.String` | `JSP_USER_ADD_PORTLETS` The location of the "Add/Remove Portlets" JSP page used in a portal user context.
`static java.lang.String` | `JSP_USER_HELP_FEATURES` The window features of the "Portal End Users Help" page.
`static java.lang.String` | `JSP_USER_LAYOUT` The location of the "Portlet Layout" JSP page used in a portal user context.
`static java.lang.String` | `JSP_USER_LOGIN` The location of the commonly-used portal user login JSP page.
`static java.lang.String` | `JSP_USER_REG` The location of the commonly-used portal user registration JSP page.
`static java.lang.String` | `JSP_USER_REG_SUMMARY` The location of the read-only portal user registration summary JSP page.

Field Detail

### JSP_BASE_DIRECTORY

    public static final java.lang.String JSP_BASE_DIRECTORY

  The location of the base JSP directory.

### JSP_PORTAL_FRAMEWORK_DIRECTORY

    public static final java.lang.String JSP_PORTAL_FRAMEWORK_DIRECTORY

  The location of the base portal run-time directory.

### JSP_ALTERNATE_FOOTER

    public static final java.lang.String JSP_ALTERNATE_FOOTER

  The location of the "Alternate Footer" JSP page.

### JSP_ALTERNATE_HEADER

    public static final java.lang.String JSP_ALTERNATE_HEADER

  The location of the "Alternate Header" JSP page.

### JSP_BASE_HEADER

    public static final java.lang.String JSP_BASE_HEADER

  The location of the base header JSP page.

### JSP_COLOR_PREFS

    public static final java.lang.String JSP_COLOR_PREFS

  The location of the "Color Preferences" JSP page used in a portal user context.

### JSP_FOOTER

    public static final java.lang.String JSP_FOOTER

  The location of the commonly-used portal footer.

### JSP_FULL_SCREEN_PORTLET

    public static final java.lang.String JSP_FULL_SCREEN_PORTLET

  The location of the commonly-used full-screen portlet representation.

### JSP_GEN_PREFS

    public static final java.lang.String JSP_GEN_PREFS

  The location of the general preferences user tool.

### JSP_HEADER

    public static final java.lang.String JSP_HEADER

  The location of the commonly-used portal header.

### JSP_PORTAL

    public static final java.lang.String JSP_PORTAL

  The location of the commonly-used portal home page.

### JSP_PORTAL_CONTENT

    public static final java.lang.String JSP_PORTAL_CONTENT

  The location of the commonly-used portlet display area.

### JSP_PORTLET

    public static final java.lang.String JSP_PORTLET

  The location of the commonly-used portlet JSP page (prescribes portlet titlebar, banner, header, content area, and footer).

### JSP_TITLE_BAR

    public static final java.lang.String JSP_TITLE_BAR

  The location of the commonly-used titlebar JSP page.

### JSP_USER_ADD_PORTLETS

    public static final java.lang.String JSP_USER_ADD_PORTLETS

  The location of the "Add/Remove Portlets" JSP page used in a portal user context.

### JSP_USER_LAYOUT

    public static final java.lang.String JSP_USER_LAYOUT

  The location of the "Portlet Layout" JSP page used in a portal user context.

### JSP_USER_LOGIN

    public static final java.lang.String JSP_USER_LOGIN

  The location of the commonly-used portal user login JSP page.

### JSP_USER_REG

    public static final java.lang.String JSP_USER_REG

  The location of the commonly-used portal user registration JSP page.

### JSP_USER_REG_SUMMARY

    public static final java.lang.String JSP_USER_REG_SUMMARY

  The location of the read-only portal user registration summary JSP page.

### JSP_USER_HELP_FEATURES

    public static final java.lang.String JSP_USER_HELP_FEATURES

  The window features of the "Portal End Users Help" page.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved